Subject: loglan as logic language (was: RE: [lojban] no'a

From: "And Rosta" <[email-masked]>
Date: Wed, 8 Aug 2001 02:06:18 +0100

I wrote:
> >If only Loglan had remained true to its logical origins. Then
> >these sorts of issues would not arise, and we'd have decent
> >ways of saying all of the A & B sentences.

to which, Jorge:
> Was Loglan really ever logically true enough for that?

and Lojbab:
> If I recall correctly, pc has said that any and all use of quantifiers and 
> variables that are not prenexed in Loglan/Lojban have ALWAYS been a 
> compromise from the rigors of formal logic. Even JCB realized that 
> prenex-heavy logic was not humanly speakable, and the moment you start 
> allowing usages without prenexes you lose some of the traceability "to its 
> logical origins".

Allegedly, Loglan in its very early stages was a speakable form of
pure predicate logic, but early users found "it rattled around too
much in their heads". From my experience with Lojban and especially
in inventing my own loglan, I'm skeptical that that ur-Loglan
would have been very effectual, i.e. that it was as user-friendly
as it could have been, while remaining faithful to its logicality,
and I'm pretty sure that the early users would not have developed
sufficient competence to be good judges of its speakability (for
nonbeginners).

PC is right that unprenexed quantifiers are deviations from logic.
But I believe that there is no evidence that prenex-heavy syntax
is unspeakable. However, it is certain that prenex-heavy syntax
is superficially dissimilar to most natlangs, and hence relatively
difficult to learn (arguably), but this is exactly the attraction
of Loglan; it does what natlangs don't.

BTW, the Lojban prenex system is IMO more complicated than necessary,
in that the grammar of prenexes could be better integrated with the
rest of the grammar, which in turn could be simpler. I won't go
into details, but a glance at any logical formula reveals its 
extreme syntactic simplicity, especially when done polishly.

> Lojban DOES retain the ability to be explicit with prenexes, if you really 
> need to be true to logic, and we are slowly working out some of the logical 
> issues of non-prenexed usages. 

If every quantifier began a new bridi, as it should, then inter alia
that would make it easier to use anaphora defined by syntactic configuration
to refer to bound variables.

> But while I recognize that the logical 
> stuff is really important to you and some others, a focus on pragmatics is 
> more important to others. Priorities thus remain balanced for the nonce.

These pragmaticians have every right to their interest in Loglan, but I
can't fathom it. Why *Loglan*, of all languages?

--And.